<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body onload="cantDias()">
    <div id="dias">días faltan para fin de mes</div>
    <div id="daysAnio">días faltan para fin de año</div>
    <div id="daysActual">días pasaron desde principio de año</div>
    <Script>
/*
-Calcular cuántos días faltan para fin de mes
-Calcular cuántos días faltan para fin de año
-Calcular cuántos días pasaron desde principio de año

*/
function cantDias(){
    var tiempo = new Date()
    var anio = tiempo.getFullYear()
    console.log (anio)
    var mes = tiempo.getMonth()
    console.log ("mes :"+mes)
    var dia = tiempo.getDay()
    console.log ("dia :"+dia)
    var mes1= mes+1
    var proximoMes = new Date(anio,mes1);
    console.log("proximoMes: "+ proximoMes)
    var days = (proximoMes - tiempo) / (60 * 60 * 24 * 1000);
    day= Math.floor(days)
    document.getElementById("dias").innerHTML ="días faltan para fin de mes : "+ `${day} días`
    console.log(day)
    /* Dias para fin de anio */
    var proximoAnio= new Date(2021,00,01)
    console.log("proximoAnio "+proximoAnio)
    var daysAnio= (proximoAnio -tiempo) / (60 * 60 * 24 * 1000);
    daysAnio= Math.floor(daysAnio)
    document.getElementById("daysAnio").innerHTML ="días faltan para fin de año : " +`${daysAnio} días`

    /* Calcular cuántos días pasaron desde principio de año*/
    var anioActual= new Date(2020,00,01)
    console.log("proximoAnio "+anioActual)
    var anioActual= (tiempo -anioActual) / (60 * 60 * 24 * 1000);
    anioActual= Math.floor(anioActual)
    document.getElementById("daysActual").innerHTML =" días pasaron desde principio de año : " +`${anioActual} días`

}


    </Script>
</body>
</html>